Description

The new part highlighter introduced in 1.2.0 can obscure parts on Linux. It appears as if the highlight is extremely bright, so large
portions of parts are obscured by the green highlight (see example.jpg). This is particularly bothersome in containers, where the
highlight can be so bright that it is almost impossible to see parts in the container, e.g. the thermometer attached to the top of the
service bay in container.jpg.

This issue does not occur when KSP is started for the first time after installation. However, when the game is started any number of
times after this, the issue occurs 100% of the time. | believe it is caused by using a locale that uses commas as decimal separators,
because the issue disappears and the highlight functions correctly if the game is started with LC_ALL=C ./KSP.x86_64, even if the
game was started with a different locale before. Additionally, removing settings.cfg prevents the issue from occurring the next time
KSP is started, but when it is started again after that without removing settings.cfg, the issue reappears. Aside from some very high
values for joystick deadzones, | couldn't see any strange values in settings.cfg, but it does seem to be connected.

As shown in pods.jpg, rocket pods are not affected by this issue, but all other items | have tried are (although | haven't tried all of
them).

The issue occurs in the VAB, the SPH and in flight.
Steps to reproduce:

1. Start a fresh installation of KSP 1.2.0 with e.g. the nl_NL.UTF-8 locale so that it generates settings.cfg
2. Close KSP

3. Start KSP with nI_NL.UTF-8

4. Start a sandbox savegame

5. Create a rocket in the VAB, using e.g. a Mk1 pod and attach a Thumper SRB

6. Mouse over the Thumper and the highlight appears too bright.

Workarounds:

® Remove settings.cfg prior to starting KSP (but this means you have to change the settings every time you start the game)
or
o Start KSP using LC_ALL=C ./KSP.x86_64

Details:

KSP version 1.2.0.1586, 64-bit, from GOG

OS: Arch Linux 64-bit (also occurs on Ubuntu 16.04)

Locale: nl_NL.UTF-8

Graphics card: NVIDIA GTX 770, proprietary drivers 370.28

Happens in a completely stock KSP install, after it has been started at least once

History

#1 - 10/24/2016 10:16 AM - sal_vager

- Status changed from New to Need More Info

Hi Beanjamin, KSP is set to ignore culture information when writing and parsing the cfg files, so it should always be using , and . in the format it can
understand, as forcing KSP to use other formats will break the game, this is expected behaviour.
Can you explain why you are starting KSP with nl_NL.UTF-8 please.

#2 - 10/24/2016 01:09 PM - Beanjamin

Hi, I'm not explicitly setting my locale to nl_NL.UTF-8 before starting the game, it's just the standard locale on my system because | prefer
applications to be in Dutch. In my case, the issue appears when | start the game with just ./KSP.x86_64, so without any LC_ALL overrides.

#3 - 10/25/2016 09:09 AM - sal_vager
- Status changed from Need More Info to Updated
- % Done changed from 0 to 10

Ahh | see, so it seems your system locale is overriding the setting in Unity.

#4 - 06/03/2018 08:52 PM - m4v

Bug still present with KSP 1.4.3. Ubuntu 17.10, Spanish locale.

When launching the game for the first time without a settings.cfg file, part highlight is normal and the settings file is saved correctly (joystick
deadzones values are "0.0500000007"). After launching the game a second time part highlight gets bright as described and the configuration of

deadzones changes to "500000000".

This is pretty much the same issue KSP had prior to 1.0, just limited in scope. Maybe KSP is ignoring culture information but something isn't right.
